Get a specific resource
curl --request GET \
--url https://b.anny.co/api/v1/resources/{resource_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://b.anny.co/api/v1/resources/{resource_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b.anny.co/api/v1/resources/{resource_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "resources",
"id": "24378",
"attributes": {
"slug": "flip-chart-phah76kvg1",
"name": "Flip-Chart",
"description": "<p>Rental flip charts to use in combination with booked meeting rooms.</p>",
"plain_description": "Rental flip charts to use in combination with booked meeting rooms.",
"availabilityMode": null,
"continuous": true,
"color": null,
"auto_accept_bookings": true,
"timezone": "Europe/Berlin",
"quantity": 1,
"staggered_quantity": null,
"max_booking_quantity": 1,
"has_children": false,
"available_from": null,
"available_to": null,
"created_at": "2021-10-07T12:07:52+00:00",
"seo": true,
"live": false,
"public_listing": true,
"display_public_description": false,
"hidden": false,
"settings": {
"showAvailabilityCalendar": true,
"showAvailabilityCount": true,
"checkIn": {
"isEnabled": false,
"autoExpiry": false,
"autoExpiresAfter": 15,
"allowedAdvancePeriod": 15,
"allowedDelayPeriod": 30,
"allowMultiple": false,
"releaseOnCheckout": false
},
"printLabels": false,
"checkout": {
"customerCanPickChildren": false,
"requiresLogin": false,
"requiresLoginReason": "",
"verifyGuestEmail": false
},
"resources": {
"maxBookings": {
"perDay": null,
"perWeek": null,
"perMonth": null
}
},
"maxBookings": {
"perSlot": null,
"perDay": null,
"perWeek": null,
"perMonth": null
},
"selfCheckIn": {
"isEnabled": false,
"disabledUntil": 15,
"geoCheckEnabled": true,
"geoCheckMaxDelta": 997,
"allowedOverrunTime": 60
}
},
"preview_token": "ktlLeS7TseEXf8ZIE6WhWhFbITep9K",
"email_info": null
},
"links": {
"self": "https://b.anny.co/api/v1/resources/24378"
},
"meta": {
"is_available": null,
"booking_count": null,
"number_available": null,
"minimal_service": [],
"service_list": "",
"services_count": null,
"settings": {
"showAvailabilityCalendar": true,
"showAvailabilityCount": true,
"checkout": {
"customerCanPickChildren": false,
"requiresLogin": false,
"requiresLoginReason": "",
"verifyGuestEmail": false
},
"checkIn": {
"isEnabled": false
},
"selfCheckIn": {
"isEnabled": false,
"disabledUntil": 15,
"geoCheckEnabled": true,
"geoCheckMaxDelta": 997,
"allowedOverrunTime": 60
}
},
"meta_settings": {
"showAvailabilityCalendar": true,
"showAvailabilityCount": true,
"checkout": {
"customerCanPickChildren": false,
"requiresLogin": false,
"requiresLoginReason": "",
"verifyGuestEmail": false
},
"checkIn": {
"isEnabled": false
},
"selfCheckIn": {
"isEnabled": false,
"disabledUntil": 15,
"geoCheckEnabled": true,
"geoCheckMaxDelta": 997,
"allowedOverrunTime": 60
}
},
"zoom": false,
"client_url": "https://anny.co/b/book/flip-chart-phah76kvg1",
"preview_url": "https://anny.co/b/book/flip-chart-phah76kvg1?preview_token=ktlLeS7TseEXf8ZIE6WhWhFbITep9K"
}
}
}Resource Management
Get a specific resource
GET
/
api
/
v1
/
resources
/
{resource_id}
Get a specific resource
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Pfadparameter
Abfrageparameter
Verfügbare Optionen:
cover_image, gallery_images, category, group, location, resource_properties.property, featured_properties.property, schedules, services.add_ons, services.cancellation_policy, services.service_sub_resources.resource.cover_image, services.custom_forms Organization ID
Antwort
OK
A bookable resource (room, person, equipment, etc.) organized in a nested tree structure.
Show child attributes
Show child attributes
⌘I